Update Revenue
curl --request PUT \
--url https://api.royalti.io/revenue/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"title": "<string>",
"amount": 123,
"currency": "<string>",
"transactionDate": "2023-11-07T05:31:56Z",
"splits": [
{}
],
"metadata": {},
"memo": "<string>"
}
'import requests
url = "https://api.royalti.io/revenue/{id}"
payload = {
"title": "<string>",
"amount": 123,
"currency": "<string>",
"transactionDate": "2023-11-07T05:31:56Z",
"splits": [{}],
"metadata": {},
"memo": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
title: '<string>',
amount: 123,
currency: '<string>',
transactionDate: '2023-11-07T05:31:56Z',
splits: [{}],
metadata: {},
memo: '<string>'
})
};
fetch('https://api.royalti.io/revenue/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"message": "Revenue updated successfully"
}{
"status": "error",
"message": "Unauthorized"
}{
"success": false,
"error": {
"code": "<string>",
"message": "<string>",
"details": [
"<string>"
]
}
}{
"success": false,
"error": {
"code": "<string>",
"message": "<string>",
"details": [
"<string>"
]
}
}Revenue
Update Revenue
Update Revenue
PUT
/
revenue
/
{id}
Update Revenue
This endpoint requires authentication. Include your Bearer token in the Authorization header.
Description
Update Revenue Description: The/revenue/{id} endpoint allows updating details of a specific revenue record.
Authorization:
- Required role:
adminor higher
PUT
Path Parameter:
| Parameter | Type | Description |
|---|---|---|
| id | string | The unique identifier of the revenue record |
| Parameter | Type | Description |
|---|---|---|
| title | string | Updated title/description |
| amount | number | Updated revenue amount |
| currency | string | Updated currency |
| source | string | Updated revenue source |
| transactionDate | string | Updated transaction date |
| splits | array | Updated split information |
| metadata | object | Updated metadata |
| memo | string | Updated notes |
Code Examples
const response = await fetch('https://api.royalti.io/revenue/example-id', {
method: 'PUT',
headers: {
'Authorization': `Bearer ${token}`,
'Content-Type': 'application/json'
},
body: JSON.stringify({
"title": "sample-title",
"amount": 1,
"currency": "sample-currency",
"source": "sample-source",
"transactionDate": "2024-01-21T12:00:00Z",
"splits": [
{}
],
"metadata": {},
"memo": "sample-memo"
})
});
const data = await response.json();
console.log(data);
import requests
response = requests.put(
'https://api.royalti.io/revenue/example-id',
headers={
'Authorization': f'Bearer {token}'
},
json={"title":"sample-title","amount":1,"currency":"sample-currency","source":"sample-source","transactionDate":"2024-01-21T12:00:00Z","splits":[{}],"metadata":{},"memo":"sample-memo"}
)
data = response.json()
print(data)
curl -X PUT https://api.royalti.io/revenue/example-id \
-H "Authorization: Bearer YOUR_TOKEN" \
-H "Content-Type: application/json" \
-d '{"title":"sample-title","amount":1,"currency":"sample-currency","source":"sample-source","transactionDate":"2024-01-21T12:00:00Z","splits":[{}],"metadata":{},"memo":"sample-memo"}'
Authorizations
JWT Authorization header using the Bearer scheme. Format: "Bearer {token}"
Path Parameters
Revenue ID
Body
application/json
⌘I